﻿<%@ Page Language="C#" Inherits="System.Web.Mvc.ViewPage<dynamic>" MasterPageFile="../Shared/Site.master" %>

<%@ Import Namespace="EPiServer.Labs.LanguageManager.Helpers" %>
<%@ Assembly Name="EPiServer.Labs.LanguageManager" %>
<%@ Register TagPrefix="sc" Assembly="EPiServer.Shell" Namespace="EPiServer.Shell.Web.UI.WebControls" %>

<asp:Content runat="server" ContentPlaceHolderID="GlobalNavigationContainer">
    <div class="epi-globalNavigationContainer">
        <sc:ShellMenu runat="server" SelectionPath="/global/addons" />
    </div>
</asp:Content>

<asp:Content runat="server" ContentPlaceHolderID="MainContent">
    <div class="epi-contentContainer epi-padding">
        <h1 class="EP-prefix">
            Export for Translation Test Page
        </h1>
        <p class="EP-systemMessage">
            Create a project in Edit mode, type the project's name exactly and then Export.
        </p>

        <form method="post">

        <div class="epi-padding epi-formArea">
            <div class="epi-size15">
                <div>
                    <label>Project's name: </label><input name="projectName" type="text" value="<%: Model.Name %>" />
                </div>
                <div>
                    <label>Project's info: </label><label><%: Model.Description %></label>
                </div>
                <%--<div>
                    <label><%= "/languagemanager/settingview/consumerkey".Translate() %></label><input name="consumerKey" type="text" value="<%: Model.ConsumerKey %>" />
                </div>
                <div>
                    <label><%= "/languagemanager/settingview/consumersecret".Translate() %></label><input name="consumerSecret" type="text" value="<%: Model.ConsumerSecret %>" />
                </div>--%>
            </div>

            <div class="epi-buttonContainer">
                <%: ViewData["XLIFFResult"] %>
                <span class="epi-cmsButton">
                    <input type="submit" class="epi-cmsButton-text epi-cmsButton-tools epi-cmsButton-Export" value="Export" />
                </span>
                <span>
                    <a href="file://<%: ViewData["FilePath"] %>">Click to download</a>
                </span>
                <span class="epi-cmsButton">
                    <input type="submit" class="epi-cmsButton-text epi-cmsButton-tools epi-cmsButton-Download" value="Download" />
                </span>
            </div>

        </div>
        </form>
    </div>
</asp:Content>
